<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::ModelParser Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1_model_parser.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-static-methods">Static Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classmelon_1_1_model_parser-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::ModelParser Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div></div>
</div><!--header-->
<div class="contents">

<p>This class is a abstract parent class for model parser implemented in the MeLOn library.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="model_parser_8h_source.html">modelParser.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for melon::ModelParser:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classmelon_1_1_model_parser.png" usemap="#melon::ModelParser_map" alt=""/>
  <map id="melon::ModelParser_map" name="melon::ModelParser_map">
<area href="classmelon_1_1_ann_parser.html" title="This class implements an abstract parent class for ANN file parser." alt="melon::AnnParser" shape="rect" coords="73,56,209,80"/>
<area href="classmelon_1_1_gp_parser.html" title="This class implements a Gaussian process file parser." alt="melon::GpParser" shape="rect" coords="219,56,355,80"/>
<area href="classmelon_1_1_mulfil_gp_parser.html" title="Class that implements a multifidelity Gaussian process file parser." alt="melon::MulfilGpParser" shape="rect" coords="365,56,501,80"/>
<area href="classmelon_1_1_svm_parser.html" title="This class implements a support vector machine file parser." alt="melon::SvmParser" shape="rect" coords="511,56,647,80"/>
<area href="classmelon_1_1_ann_parser_csv.html" title="This class implements an specialization of the AnnParser for csv files." alt="melon::AnnParserCsv" shape="rect" coords="0,112,136,136"/>
<area href="classmelon_1_1_ann_parser_xml.html" title="This class implements an specialization of the AnnParser for xml files." alt="melon::AnnParserXml" shape="rect" coords="146,112,282,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac7d0b1a14fcfe2a609487c402d7edb3f" id="r_ac7d0b1a14fcfe2a609487c402d7edb3f"><td class="memItemLeft" align="right" valign="top">virtual std::shared_ptr&lt; <a class="el" href="struct_model_data.html">ModelData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac7d0b1a14fcfe2a609487c402d7edb3f">parse_model</a> (const std::string modelPath, const std::string modelName=&quot;&quot;)=0</td></tr>
<tr class="memdesc:ac7d0b1a14fcfe2a609487c402d7edb3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract function for defining the structure of the parsing function which is used to get the model data from a file.  <br /></td></tr>
<tr class="separator:ac7d0b1a14fcfe2a609487c402d7edb3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1797eba4c97ed24dcb60b874c1d59bde" id="r_a1797eba4c97ed24dcb60b874c1d59bde"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1797eba4c97ed24dcb60b874c1d59bde">~ModelParser</a> ()=default</td></tr>
<tr class="memdesc:a1797eba4c97ed24dcb60b874c1d59bde"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual desctructor to enable inheritance.  <br /></td></tr>
<tr class="separator:a1797eba4c97ed24dcb60b874c1d59bde"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a38cba45beb94be7372469315f017576c" id="r_a38cba45beb94be7372469315f017576c"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a38cba45beb94be7372469315f017576c">_format_file_path</a> (const std::string modelPath, const std::string modelName, const <a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> fileType)</td></tr>
<tr class="memdesc:a38cba45beb94be7372469315f017576c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applies the correct format to the path given by the user.  <br /></td></tr>
<tr class="separator:a38cba45beb94be7372469315f017576c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2631bf777f02fa3deefa3391affedf0b" id="r_a2631bf777f02fa3deefa3391affedf0b"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2631bf777f02fa3deefa3391affedf0b">_format_folder_path</a> (const std::string modelPath)</td></tr>
<tr class="memdesc:a2631bf777f02fa3deefa3391affedf0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applies the correct format to the path given by the user.  <br /></td></tr>
<tr class="separator:a2631bf777f02fa3deefa3391affedf0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-static-methods" name="pro-static-methods"></a>
Static Protected Member Functions</h2></td></tr>
<tr class="memitem:a079c906eccf340590701dba8d6a776d9" id="r_a079c906eccf340590701dba8d6a776d9"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespacemelon.html#a7ee65995944832d7b450202201d45c11">SCALER_TYPE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a079c906eccf340590701dba8d6a776d9">_string_to_scaler_type</a> (const std::string scalerTypeName)</td></tr>
<tr class="memdesc:a079c906eccf340590701dba8d6a776d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turns a string containing the name of an scaler type in the correct enum representation.  <br /></td></tr>
<tr class="separator:a079c906eccf340590701dba8d6a776d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2a5a119986e39a4f951d9952e5d209e" id="r_ab2a5a119986e39a4f951d9952e5d209e"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespacemelon.html#a7c96133788161408370e83766fc229ce">SCALER_PARAMETER</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab2a5a119986e39a4f951d9952e5d209e">_string_to_scaler_parameter</a> (const std::string scalerParameterName)</td></tr>
<tr class="memdesc:ab2a5a119986e39a4f951d9952e5d209e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turns a string containing the name of an scaler type in the correct enum representation.  <br /></td></tr>
<tr class="separator:ab2a5a119986e39a4f951d9952e5d209e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a1be76f5606faa2afdad693f26dd1660a" id="r_a1be76f5606faa2afdad693f26dd1660a"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1be76f5606faa2afdad693f26dd1660a">_modelPath</a></td></tr>
<tr class="separator:a1be76f5606faa2afdad693f26dd1660a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7d5473b675b9595aee8db5f44a5a2c1" id="r_ac7d5473b675b9595aee8db5f44a5a2c1"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac7d5473b675b9595aee8db5f44a5a2c1">_modelName</a></td></tr>
<tr class="separator:ac7d5473b675b9595aee8db5f44a5a2c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class is a abstract parent class for model parser implemented in the MeLOn library. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1797eba4c97ed24dcb60b874c1d59bde" name="a1797eba4c97ed24dcb60b874c1d59bde"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1797eba4c97ed24dcb60b874c1d59bde">&#9670;&#160;</a></span>~ModelParser()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual melon::ModelParser::~ModelParser </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Virtual desctructor to enable inheritance. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a38cba45beb94be7372469315f017576c" name="a38cba45beb94be7372469315f017576c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38cba45beb94be7372469315f017576c">&#9670;&#160;</a></span>_format_file_path()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string ModelParser::_format_file_path </td>
          <td>(</td>
          <td class="paramtype">const std::string</td>          <td class="paramname"><span class="paramname"><em>modelPath</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string</td>          <td class="paramname"><span class="paramname"><em>modelName</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a></td>          <td class="paramname"><span class="paramname"><em>fileType</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Applies the correct format to the path given by the user. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelPath</td><td>Path to the location of the model file</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">modelName</td><td>name of the model</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fileType</td><td>type of the file</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns string with correctly formatted filepath </dd></dl>

</div>
</div>
<a id="a2631bf777f02fa3deefa3391affedf0b" name="a2631bf777f02fa3deefa3391affedf0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2631bf777f02fa3deefa3391affedf0b">&#9670;&#160;</a></span>_format_folder_path()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string ModelParser::_format_folder_path </td>
          <td>(</td>
          <td class="paramtype">const std::string</td>          <td class="paramname"><span class="paramname"><em>modelPath</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Applies the correct format to the path given by the user. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelPath</td><td>Path to the location of the model folder</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns string with correctly formatted filepath </dd></dl>

</div>
</div>
<a id="ab2a5a119986e39a4f951d9952e5d209e" name="ab2a5a119986e39a4f951d9952e5d209e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2a5a119986e39a4f951d9952e5d209e">&#9670;&#160;</a></span>_string_to_scaler_parameter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacemelon.html#a7c96133788161408370e83766fc229ce">SCALER_PARAMETER</a> ModelParser::_string_to_scaler_parameter </td>
          <td>(</td>
          <td class="paramtype">const std::string</td>          <td class="paramname"><span class="paramname"><em>scalerParameterName</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Turns a string containing the name of an scaler type in the correct enum representation. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">scalerParameterName</td><td>is a string containing the name of the scaler parameter</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the enum representation of the input </dd></dl>

</div>
</div>
<a id="a079c906eccf340590701dba8d6a776d9" name="a079c906eccf340590701dba8d6a776d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a079c906eccf340590701dba8d6a776d9">&#9670;&#160;</a></span>_string_to_scaler_type()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacemelon.html#a7ee65995944832d7b450202201d45c11">SCALER_TYPE</a> ModelParser::_string_to_scaler_type </td>
          <td>(</td>
          <td class="paramtype">const std::string</td>          <td class="paramname"><span class="paramname"><em>scalerTypeName</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Turns a string containing the name of an scaler type in the correct enum representation. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">scalerTypeName</td><td>is a string containing the name of the scaler type</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the enum representation of the input </dd></dl>

</div>
</div>
<a id="ac7d0b1a14fcfe2a609487c402d7edb3f" name="ac7d0b1a14fcfe2a609487c402d7edb3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7d0b1a14fcfe2a609487c402d7edb3f">&#9670;&#160;</a></span>parse_model()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::shared_ptr&lt; <a class="el" href="struct_model_data.html">ModelData</a> &gt; melon::ModelParser::parse_model </td>
          <td>(</td>
          <td class="paramtype">const std::string</td>          <td class="paramname"><span class="paramname"><em>modelPath</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string</td>          <td class="paramname"><span class="paramname"><em>modelName</em><span class="paramdefsep"> = </span><span class="paramdefval">&quot;&quot;</span></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Abstract function for defining the structure of the parsing function which is used to get the model data from a file. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelPath</td><td>Path to the location of the model file</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">modelName</td><td>name of the model</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns pointer to data object </dd></dl>

<p>Implemented in <a class="el" href="classmelon_1_1_ann_parser_csv.html#ab0348883fd88c5c6b498f26301a33a49">melon::AnnParserCsv</a>, <a class="el" href="classmelon_1_1_ann_parser_xml.html#ace18e736a1ae5e2af87aa15de2c318af">melon::AnnParserXml</a>, <a class="el" href="classmelon_1_1_gp_parser.html#af0e4519e8e633eda0930a560ac7f21a4">melon::GpParser</a>, <a class="el" href="classmelon_1_1_mulfil_gp_parser.html#ac567ac3c1ea2a7a314a479b12437f78c">melon::MulfilGpParser</a>, <a class="el" href="classmelon_1_1_svm_parser.html#a76f3b6e71b2055a9780a1db0c4dc948c">melon::SvmParser</a>, and <a class="el" href="classmelon_1_1_ann_parser.html#ad55c71474bb6154af7a8b4696ababdea">melon::AnnParser</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ac7d5473b675b9595aee8db5f44a5a2c1" name="ac7d5473b675b9595aee8db5f44a5a2c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7d5473b675b9595aee8db5f44a5a2c1">&#9670;&#160;</a></span>_modelName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string melon::ModelParser::_modelName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Name of the network </p>

</div>
</div>
<a id="a1be76f5606faa2afdad693f26dd1660a" name="a1be76f5606faa2afdad693f26dd1660a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1be76f5606faa2afdad693f26dd1660a">&#9670;&#160;</a></span>_modelPath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string melon::ModelParser::_modelPath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Path to the location of the ANN file </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>C:/Data/Git/MeLOn/common/inc/<a class="el" href="model_parser_8h_source.html">modelParser.h</a></li>
<li>C:/Data/Git/MeLOn/common/src/<a class="el" href="model_parser_8cpp.html">modelParser.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="classmelon_1_1_model_parser.html">ModelParser</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
